##
## Auto Generated makefile by CodeLite IDE
## any manual changes will be erased      
##
## Debug
ProjectName            :=libstarlight
ConfigurationName      :=Debug
WorkspacePath          := "/home/allah/Projects/TrianglesReborn"
ProjectPath            := "/home/allah/Projects/libstarlight"
IntermediateDirectory  :=./Debug
OutDir                 := $(IntermediateDirectory)
CurrentFileName        :=
CurrentFilePath        :=
CurrentFileFullPath    :=
User                   :=
Date                   :=12/12/16
CodeLitePath           :="/home/allah/.codelite"
LinkerName             :=/usr/bin/g++
SharedObjectLinkerName :=/usr/bin/g++ -shared -fPIC
ObjectSuffix           :=.o
DependSuffix           :=.o.d
PreprocessSuffix       :=.i
DebugSwitch            :=-g 
IncludeSwitch          :=-I
LibrarySwitch          :=-l
OutputSwitch           :=-o 
LibraryPathSwitch      :=-L
PreprocessorSwitch     :=-D
SourceSwitch           :=-c 
OutputFile             :=$(IntermediateDirectory)/$(ProjectName)
Preprocessors          :=
ObjectSwitch           :=-o 
ArchiveOutputSwitch    := 
PreprocessOnlySwitch   :=-E
ObjectsFileList        :="libstarlight.txt"
PCHCompileFlags        :=
MakeDirCommand         :=mkdir -p
LinkOptions            :=  
IncludePath            :=  $(IncludeSwitch). $(IncludeSwitch). $(IncludeSwitch)include 
IncludePCH             := 
RcIncludePath          := 
Libs                   := $(LibrarySwitch)sfml-audio $(LibrarySwitch)sfml-graphics $(LibrarySwitch)sfml-window $(LibrarySwitch)sfml-system 
ArLibs                 :=  "sfml-audio" "sfml-graphics" "sfml-window" "sfml-system" 
LibPath                := $(LibraryPathSwitch). $(LibraryPathSwitch)lib 

##
## Common variables
## AR, CXX, CC, AS, CXXFLAGS and CFLAGS can be overriden using an environment variables
##
AR       := /usr/bin/ar rcu
CXX      := /usr/bin/g++
CC       := /usr/bin/gcc
CXXFLAGS :=  -g -O0 -Wall $(Preprocessors)
CFLAGS   :=  -g -O0 -Wall $(Preprocessors)
ASFLAGS  := 
AS       := /usr/bin/as


##
## User defined environment variables
##
CodeLiteDir:=/usr/share/codelite
Objects0=$(IntermediateDirectory)/src_main.cpp$(ObjectSuffix) $(IntermediateDirectory)/src_Starlight.cpp$(ObjectSuffix) $(IntermediateDirectory)/src_Player.cpp$(ObjectSuffix) $(IntermediateDirectory)/src_Map.cpp$(ObjectSuffix) $(IntermediateDirectory)/src_Bullet.cpp$(ObjectSuffix) $(IntermediateDirectory)/src_Menu.cpp$(ObjectSuffix) $(IntermediateDirectory)/src_Powerup.cpp$(ObjectSuffix) 



Objects=$(Objects0) 

##
## Main Build Targets 
##
.PHONY: all clean PreBuild PrePreBuild PostBuild MakeIntermediateDirs
all: $(OutputFile)

$(OutputFile): $(IntermediateDirectory)/.d $(Objects) 
	@$(MakeDirCommand) $(@D)
	@echo "" > $(IntermediateDirectory)/.d
	@echo $(Objects0)  > $(ObjectsFileList)
	$(LinkerName) $(OutputSwitch)$(OutputFile) @$(ObjectsFileList) $(LibPath) $(Libs) $(LinkOptions)

MakeIntermediateDirs:
	@test -d ./Debug || $(MakeDirCommand) ./Debug


$(IntermediateDirectory)/.d:
	@test -d ./Debug || $(MakeDirCommand) ./Debug

PreBuild:


##
## Objects
##
$(IntermediateDirectory)/src_main.cpp$(ObjectSuffix): src/main.cpp $(IntermediateDirectory)/src_main.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/allah/Projects/libstarlight/src/main.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/src_main.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/src_main.cpp$(DependSuffix): src/main.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/src_main.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/src_main.cpp$(DependSuffix) -MM "src/main.cpp"

$(IntermediateDirectory)/src_main.cpp$(PreprocessSuffix): src/main.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/src_main.cpp$(PreprocessSuffix) "src/main.cpp"

$(IntermediateDirectory)/src_Starlight.cpp$(ObjectSuffix): src/Starlight.cpp $(IntermediateDirectory)/src_Starlight.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/allah/Projects/libstarlight/src/Starlight.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/src_Starlight.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/src_Starlight.cpp$(DependSuffix): src/Starlight.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/src_Starlight.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/src_Starlight.cpp$(DependSuffix) -MM "src/Starlight.cpp"

$(IntermediateDirectory)/src_Starlight.cpp$(PreprocessSuffix): src/Starlight.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/src_Starlight.cpp$(PreprocessSuffix) "src/Starlight.cpp"

$(IntermediateDirectory)/src_Player.cpp$(ObjectSuffix): src/Player.cpp $(IntermediateDirectory)/src_Player.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/allah/Projects/libstarlight/src/Player.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/src_Player.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/src_Player.cpp$(DependSuffix): src/Player.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/src_Player.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/src_Player.cpp$(DependSuffix) -MM "src/Player.cpp"

$(IntermediateDirectory)/src_Player.cpp$(PreprocessSuffix): src/Player.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/src_Player.cpp$(PreprocessSuffix) "src/Player.cpp"

$(IntermediateDirectory)/src_Map.cpp$(ObjectSuffix): src/Map.cpp $(IntermediateDirectory)/src_Map.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/allah/Projects/libstarlight/src/Map.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/src_Map.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/src_Map.cpp$(DependSuffix): src/Map.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/src_Map.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/src_Map.cpp$(DependSuffix) -MM "src/Map.cpp"

$(IntermediateDirectory)/src_Map.cpp$(PreprocessSuffix): src/Map.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/src_Map.cpp$(PreprocessSuffix) "src/Map.cpp"

$(IntermediateDirectory)/src_Bullet.cpp$(ObjectSuffix): src/Bullet.cpp $(IntermediateDirectory)/src_Bullet.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/allah/Projects/libstarlight/src/Bullet.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/src_Bullet.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/src_Bullet.cpp$(DependSuffix): src/Bullet.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/src_Bullet.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/src_Bullet.cpp$(DependSuffix) -MM "src/Bullet.cpp"

$(IntermediateDirectory)/src_Bullet.cpp$(PreprocessSuffix): src/Bullet.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/src_Bullet.cpp$(PreprocessSuffix) "src/Bullet.cpp"

$(IntermediateDirectory)/src_Menu.cpp$(ObjectSuffix): src/Menu.cpp $(IntermediateDirectory)/src_Menu.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/allah/Projects/libstarlight/src/Menu.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/src_Menu.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/src_Menu.cpp$(DependSuffix): src/Menu.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/src_Menu.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/src_Menu.cpp$(DependSuffix) -MM "src/Menu.cpp"

$(IntermediateDirectory)/src_Menu.cpp$(PreprocessSuffix): src/Menu.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/src_Menu.cpp$(PreprocessSuffix) "src/Menu.cpp"

$(IntermediateDirectory)/src_Powerup.cpp$(ObjectSuffix): src/Powerup.cpp $(IntermediateDirectory)/src_Powerup.cpp$(DependSuffix)
	$(CXX) $(IncludePCH) $(SourceSwitch) "/home/allah/Projects/libstarlight/src/Powerup.cpp" $(CXXFLAGS) $(ObjectSwitch)$(IntermediateDirectory)/src_Powerup.cpp$(ObjectSuffix) $(IncludePath)
$(IntermediateDirectory)/src_Powerup.cpp$(DependSuffix): src/Powerup.cpp
	@$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) -MG -MP -MT$(IntermediateDirectory)/src_Powerup.cpp$(ObjectSuffix) -MF$(IntermediateDirectory)/src_Powerup.cpp$(DependSuffix) -MM "src/Powerup.cpp"

$(IntermediateDirectory)/src_Powerup.cpp$(PreprocessSuffix): src/Powerup.cpp
	$(CXX) $(CXXFLAGS) $(IncludePCH) $(IncludePath) $(PreprocessOnlySwitch) $(OutputSwitch) $(IntermediateDirectory)/src_Powerup.cpp$(PreprocessSuffix) "src/Powerup.cpp"


-include $(IntermediateDirectory)/*$(DependSuffix)
##
## Clean
##
clean:
	$(RM) -r ./Debug/


